#ifndef DATPACKER_H_
#define DATPACKER_H_

#include <stdio.h>

extern char library_error[];
#define LIBRARY_ERROR_SIZE 512

typedef struct {
	/* Takes a truncated file opened for writing.  Returns private data, or NULL upon error. */
	void* (*open)(FILE*);
	/* Takes private data, a file opened for reading, and a filename.  Returns 0, or -1 upon error.  Private data is freed upon error. */
	int (*write)(void*, FILE*, const char*);
	/* Takes private data. Returns 0, or -1 upon error. */
	/* Private data is always freed. */
	int (*close)(void*);
} thdat_fptrs;

#endif
